net.sourceforge.jnlp

## Class JNLPMatcher

- java.lang.Object
- - net.sourceforge.jnlp.JNLPMatcher

-     public final class JNLPMatcher
      extends java.lang.Object

  To compare launching JNLP file with signed APPLICATION.JNLP or APPLICATION_TEMPLATE.jnlp. Used by net.sourceforge.jnlp.runtime.JNLPCLassLoader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JNLPMatcher(java.io.InputStream appTemplate, java.io.InputStream launchJNLP, boolean isTemplate, ParserSettings p)` Public constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isMatch()` Compares both JNLP files

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JNLPMatcher

          public JNLPMatcher(java.io.InputStream appTemplate,
                             java.io.InputStream launchJNLP,
                             boolean isTemplate,
                             ParserSettings p)
                      throws JNLPMatcherException

      Public constructor
      Parameters:
        `appTemplate` - the reader stream of the signed APPLICATION.jnlp or APPLICATION_TEMPLATE.jnlp
        `launchJNLP` - the reader stream of the launching JNLP file
        `isTemplate` - a boolean that specifies if appTemplateFile is a template
        `p` - settings of parser
      Throws:
        `JNLPMatcherException` - if IOException, XMLParseException is thrown during parsing; Or launchJNLP/appTemplate is null

  - ### Method Detail

    - #### isMatch

          public boolean isMatch()

      Compares both JNLP files
      Returns:
        true if both JNLP files are 'matched', otherwise false

Submit a bug or feature